Click or drag to resize

GeometryDecoderToCurveMany Method (CurveArray)

Converts the specified CurveArrArray to a Rhino Curve IEnumerable.

Namespace:  RhinoInside.Revit.Convert.Geometry
Assembly:  RhinoInside.Revit (in RhinoInside.Revit.dll) Version: 1.7.8130
Syntax
public static IEnumerable<Rhino.Geometry.Curve> ToCurveMany(
	this Autodesk.Revit.DB.CurveArray value
)

Parameters

value
Type: Autodesk.Revit.DB.CurveArray
A value to convert.

Return Value

Type: IEnumerableRhino.Geometry.Curve
A Rhino Curve IEnumerable that is equivalent to the provided value.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Autodesk.Revit.DB.CurveArray. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also